# MediaSuite | Resource Viewer

## Timeline shortkeys

Timeline shortkeys are specified in:
_app/components/resourceviewer/mediaColumn/KeyboardInteraction.js_

**Shift+d** - Duplicate active segment

**Shift+x** || **Shift+del** - Delete active segment

**Ctrl/Meta+Shift+x** || **Ctrl/Meta+Shift+del** - Delete active segment without comfirmation popup

**i** - Set player position to active annotation start

**Shift+i** - Set active annotation start to current position

**o** - Set player position to active annotation end

**Shift+o** - Set active annotation end to current position

**Shift+c** - Concat new temporal segment from the end of the previous segment (or 0) to the current playback position. Only including segments from same layer.

**Shift+n** - Create new temporal segment of 1 second length

## Timeline user segment

**Add button** - Add new segment

**Add button + Shift** - Concat new segment to end of previous segment in same layer

**Add button + Ctrl** - Create new segment with start time on current player position. On mouse up, set new segment end time

## Timeline mouse

**Drag timeline** - Move timeline start/end time

**Drag timeline + Ctrl** - Move cursor position

**Drag cursor** - Move cursor position

**Double click black time axis** - Set cursor position

**Scroll timeline** - Zoom timeline in/out

## Timeline user segment mouse

**Click segment** - Make segment active

**Double click segment** - Open annotation popup to annotate segment

**Drag segment + Shift** - Move segment position in time (x) and layer (y)

**... + Ctrl/Meta** - Set cursor position to segment start

User segments have handles, which are the shaded regions on the sides. They can be used to change the segment start/end position:

**Drag segment handle** - Move start/end time of segment with snapping

**... + Shift** - Disable snapping

**... + Ctrl** - Set cursor position to segment start

## Annotation popup

**Esc** - Close annotation popup
