//media suite configs

import DANSOralHistoryConfig from './DANSOralHistoryConfig';

import EYEDesmetAfficheConfig from './EYEDesmetAfficheConfig';
import EYEDesmetFilmConfig from './EYEDesmetFilmConfig';
import EYEDesmetPapersPageConfig from './EYEDesmetPapersPageConfig';

import KBNewspaperAggrConfig from './KBNewspaperAggrConfig';

import NISVCatalogueConfig from './NISVCatalogueConfig';
import NISVDAANCatalogueConfig from './NISVDAANCatalogueConfig';
import NISVDAANTweedeKamerConfig from './NISVDAANTweedeKamerConfig';
import NISVProgramGuideBlockConfig from './NISVProgramGuideBlockConfig';
import MetamorfozeProgramGuideConfig from './MetamorfozeProgramGuideConfig';

import OpenBeeldenNISVConfig from './OpenBeeldenNISVConfig';

//non media suite collections
import ArtTubeConfig from './ArtTubeConfig';
import KijkEnLuisterCijfersConfig from './KijkEnLuisterCijfersConfig';
import MotUConfig from './MotUConfig';
import RVDFilmContractsConfig from './RVDFilmContractsConfig';
import SoundbitesConfig from './SoundbitesConfig';
import RadioOranjeConfig from './RadioOranjeConfig';

//TODO think about what happens to aliases
const CollectionMapping = {
	'nisv-catalogue-*': NISVCatalogueConfig,
	'daan-catalogue-radio': NISVDAANCatalogueConfig,
	'daan-catalogue-tv': NISVDAANCatalogueConfig,
	'daan-catalogue-aggr': NISVDAANCatalogueConfig,
	'daan-catalogue-tweede-kamer': NISVDAANTweedeKamerConfig,
	'nisv-program-guides-new': NISVProgramGuideBlockConfig,
	'program-guides-metamorfoze*': MetamorfozeProgramGuideConfig,
	'eye-desmet-affiches' : EYEDesmetAfficheConfig,
	'eye-desmet-films' : EYEDesmetFilmConfig,
	'eye-desmet-papers4' : EYEDesmetPapersPageConfig,
	'motu' : MotUConfig,
	'arttube' : ArtTubeConfig,
	'rvd-collection*' : RVDFilmContractsConfig,
	'open-beelden-beeldengeluid' : OpenBeeldenNISVConfig,
	'open-beelden-eye' : OpenBeeldenNISVConfig,
	'open-beelden-stichting-natuurbeelden' : OpenBeeldenNISVConfig,
	'kb-newspapers*' : KBNewspaperAggrConfig,
	'dans*' : DANSOralHistoryConfig,
	'kijkenluistercijfers' : KijkEnLuisterCijfersConfig,
	'kijkenluistercijfers*' : KijkEnLuisterCijfersConfig,
	'soundbites' : SoundbitesConfig,
	'radio-oranje': RadioOranjeConfig
}

export default CollectionMapping;
