import React from 'react';

import IDUtil from '../../util/IDUtil';

const renderSpinner = message => (
	<div className={IDUtil.cssClassName('spinner')} title={message || 'Loading the resource'}></div>
);

export default ({ message, fullScreen=true }) => fullScreen ? (
    <div className={IDUtil.cssClassName('loading')}>
        {renderSpinner(message)}
    </div>
) : renderSpinner(message)